	program test
	implicit none

	integer n
	parameter (n = 10000)

	integer A(n,n), i, j, sum

#ifdef BAD
#define I i
#define J j
#else
#define I j
#define J i
#endif

	do I = 1, n
	  do J = 1, n
	    A(i,j) = i + j
	  enddo
	enddo

	sum = 0

	do I = 1, n
	  do J = 1, n
	    sum = sum + A(i,j)
	  enddo
	enddo

	print *, sum
	end

